Package Details: gamehub-git 0.15.0.8.dev.r0.g390e27e-1

Git Clone URL: https://aur.archlinux.org/gamehub-git.git (read-only, click to copy)
Package Base: gamehub-git
Description: Games manager, downloader, library that supports GOG, Steam and Humble Bundle. Designed for Pantheon Shell
Upstream URL: https://github.com/tkashkin/GameHub
Keywords: bundle elementary gamehub games gog humble manager pantheon steam vala
Licenses: GPL3
Conflicts: gamehub
Provides: gamehub
Submitter: btd1337
Maintainer: tkashkin (neuromancer, FabioLolix)
Last Packager: FabioLolix
Votes: 4
Popularity: 0.002579
First Submitted: 2018-08-25 05:53
Last Updated: 2019-12-18 23:22

Latest Comments

1 2 Next › Last »

whitelynx commented on 2019-12-18 23:16

I was able to get this to build and install; it just required one change to the source:

diff --git a/meson/post_install.py b/meson/post_install.py index dfb71eb..1abbddf 100644 --- a/meson/post_install.py +++ b/meson/post_install.py @@ -9,7 +9,8 @@ bindir = os.path.join(prefix, 'bin') schemadir = os.path.join(os.environ['MESON_INSTALL_PREFIX'], 'share', 'glib-2.0', 'schemas')

if os.environ.get('MESON_INSTALL_DESTDIR_PREFIX'): - subprocess.call(['ln', '-s', 'com.github.tkashkin.gamehub', os.path.join(os.environ.get('MESON_INSTALL_DESTDIR_PREFIX'), 'bin', 'gamehub')]) + #subprocess.call(['ln', '-s', 'com.github.tkashkin.gamehub', os.path.join(os.environ.get('MESON_INSTALL_DESTDIR_PREFIX'), 'bin', 'gamehub')]) + pass

if not os.environ.get('DESTDIR'): print('Updating icon cache...')

Apparently the build system already takes care of symlinking the executable, but that fails because this postinstall script already symlinked to the same place.

fettouhi commented on 2019-11-30 05:20

Can anyone get this to build since Arch introduced Python 3.8?

yochananmarqos commented on 2019-06-28 01:01

granite is no longer needed.

fettouhi commented on 2019-04-06 14:26

@FabioLolix No my mistaske. It builds now after installing. Don't know if it should be added to the makedepends list?

FabioLolix commented on 2019-04-06 14:03

@fetthui perl-xml-parser is a deps for intltool, do you have it installed?

fettouhi commented on 2019-04-06 13:55

Can't get libunity to build fails at this point "checking for XML::Parser... configure: error: XML::Parser perl module is required for intltool"

Jimi-James commented on 2019-03-29 17:14

Newest commit now depends on libunity (https://github.com/tkashkin/GameHub/issues/227#issuecomment-478076589)

friday commented on 2019-02-26 08:45

The comments below should be ignored. This is a new package with the same name as the old one and with new maintainers. Apart from optional dependencies everything should be solved.

yochananmarqos commented on 2019-01-28 23:04

Could you symlink the binary?

ln -s com.github.$_author.$_auxname $pkgdir/usr/bin/$_auxname

friday commented on 2019-01-21 15:12

Oh, unset CFLAGS is for the meson build, not ninja. So it still doesn't work :/. It only worked for me because I had a modified version and didn't change the package name so it got cached instead. This is the bare minimal change needed: https://github.com/tkashkin/GameHub/pull/169/files